aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbackends/platform/ds/build-ds.sh4
-rwxr-xr-xconfigure4
2 files changed, 7 insertions, 1 deletions
diff --git a/backends/platform/ds/build-ds.sh b/backends/platform/ds/build-ds.sh
index d56af5a092..8e0b0575f4 100755
--- a/backends/platform/ds/build-ds.sh
+++ b/backends/platform/ds/build-ds.sh
@@ -1,4 +1,8 @@
#!/bin/sh
+
+echo "FIXME: feature disabled in configure"
+exit 1
+
#
# build-ds.sh -- script for building a ds build with every usable dynamic engine plugin
diff --git a/configure b/configure
index e304c28b43..714404130a 100755
--- a/configure
+++ b/configure
@@ -1552,7 +1552,9 @@ case $_host_os in
if test "$_dynamic_modules" = no ; then
LDFLAGS="$LDFLAGS -Wl,--gc-sections"
else
- LDFLAGS="$LDFLAGS -Wl,--retain-symbols-file,ds.syms"
+ LDFLAGS="$LDFLAGS -Wl,--no-gc-sections"
+ # TODO automate this required 2 step linking phase
+ # LDFLAGS="$LDFLAGS -Wl,--retain-symbols-file,ds.syms"
fi
LDFLAGS="$LDFLAGS -L$DEVKITPRO/libnds/lib"
LIBS="$LIBS -lnds9"